DEMANGLE(1)

NAME
demangle - Descodifica nombres de símbolos C++

SYNOPSIS

demangle

DESCRIPCIóN

demangle lee,a través de la entrada estándar, una lista de símbolos C++ codificados, los convierte a un formato legible y los saca por la salida estándar.

Esta herramienta forma parte del kit de desarrollo de KDE.

EJEMPLO

Cree un archivo llamado nombres con los siguientes nombres de símbolos codificados.
_ZNK6Object10metaObjectEv
_ZN8QPtrListI5ArrowE5clearEv
_ZTC4Kolf0_11KMainWindow

Una vez descodificados, los símbolos:

    example$ demangle < nombres Object::metaObject() const QPtrList<Arrow>::clear() construction vtable for KMainWindow-in-Kolf

VEA TAMBIéN

kminspector(1) kmtrace(1) match(1)

AUTHOR
Ben Burton.